close all
opt=struct;
stg = struct;

myModel = inlineModel;
%{
  [LONGITUDINAL]
  EQUATION:
  f1 = 1+t
  f2 = 2*t
  DEFINITION:
  y1 = {distribution=normal, prediction=f1, sd=0.3}
  y2 = {distribution=normal, prediction=f2, sd=0.1}
%}

f = struct('name',{{'f1', 'f2'}},'time',0:0.01:2);
y = struct('name',{{'y1', 'y2'}},'time',0:0.25:2);
res = simulx('model',myModel,'output',{f,y});
plotmlx(res(1:2))


opt.figure=2;
opt.output = {{'f1', 'f2'}};
plotmlx(res,'option',opt)

opt.figure=3;
opt.output = {{'f1', 'y1'},{'f2', 'y2'}};
opt.symbol = {{'-', '.'},{'-', '.'}};
plotmlx(res,'option',opt)

opt.figure=4;
opt.legend='off';
opt.xlabel='time (h)';
stg.linewidth=4;
stg.markersize=20;
stg.labelfontsize=15;
stg.tickfontsize=12;
plotmlx(res,'option',opt,'setting',stg)

opt.figure=5;
opt.symbol = {{'g--', 'kd'},{'c:', 'm*'}};
opt.tile='vertical';
opt.legend='on';
plotmlx(res,'option',opt)

