close all
opt=struct;
stg=struct;

myModel = inlineModel;
%{
  [LONGITUDINAL]
  input = k
  EQUATION:
  if k>0
    f = (t+k*t)/(1+k*t)
  else
    f = t/(1-k+k*t)
  end
  f1 = f
  f2 = 1-f1
  DEFINITION:
  y1 = {distribution=normal, prediction=f1, sd=0.05}
  y2 = {distribution=normal, prediction=f2, sd=0.03}
  [INDIVIDUAL]
  input = k_pop
  DEFINITION:
  k = {distribution=normal, reference=k_pop, sd=5}
%}

f = struct('name',{{'f1', 'f2'}},'time',0:0.01:1);
y = struct('name',{{'y1', 'y2'}},'time',0.1:0.1:0.9);
p1 = struct('name', 'k_pop', 'value', 5);
p2 = struct('name', 'k_pop', 'value', -10);
g1 = struct('size', 3, 'level','individual', 'parameter', p1);
g2 = struct('size', 2, 'level','individual', 'parameter', p2);
res = simulx('model',myModel,'output',{f,y},'group',{g1,g2});
plotmlx(res(1:2))

opt.figure=2;
opt.output = {{'f1', 'f2'}};
opt.symbol = {{'-', ':'}};
plotmlx(res,'option',opt)

opt.figure=3;
opt.output = {{'f1', 'y1'},{'f2', 'y2'}};
opt.symbol = {{'-', '.'},{'-', '.'}};
plotmlx(res,'option',opt)

opt.figure=4;
opt.split = 'group';
plotmlx(res,'option',opt)

opt.figure=5:6;
opt.split = 'individual';
plotmlx(res,'option',opt)


