adm1 = struct('amount',100,'time',24:24:143);
adm2 = struct('amount',50,'time',24:12:143);

p = struct;
p.name = {'w_pop','omega_w','Tk0_pop','omega_Tk0','V_pop','omega_V','beta_V',...
          'k_pop','omega_k','beta_k','ke0_pop','omega_ke0','Imax_pop',...
          'omega_Imax','S0_pop','omega_S0','IC50_pop','omega_IC50',...
          'kout_pop','omega_kout','a1','a2','a3','a4'};
p.value = [70, 10, 4, 0.2, 10, 0.3, 1, 0.2, 0.2, -0.25, 0.05, 0.1, 0.5, 1, ...
           100, 0.1, 1, 0.2, 0.1, 0.1, 0.1, 2, 2, 2];

ind = struct('name',{{'w','Tk0','V','k','ke0','Imax','S0','IC50','kout'}});
f = struct('name',{{'Cc','PCA1','PCA2','PCA3'}},'time',0:1:200);
y = struct('name',{{'y1','y2','y3','y4'}},'time',1:3:200);
out={ind,f,y};

g1 = struct('size',50,'level','covariate', 'treatment',adm1);
g2 = struct('size',50,'level','covariate', 'treatment',adm2);
g = {g1, g2};

res = simulx('model','pkpd2_model.txt','parameter',p,'output',out,'group',g);

opt = struct;
opt.output = {'Cc','PCA1','PCA2','PCA3'};
opt.legend = 'off';
stg = struct('linewidth',0.5);
plotmlx(res,'option',opt,'setting',stg)


