myModel = inlineModel;
%{
[COVARIATE]
input={p_F}
DEFINITION:
gender = { type=categorical, 
           categories={M,F},
           P(gender=F)=p_F }

[INDIVIDUAL]
input={k_pop, omega_k, gender, beta_F}
gender={type=categorical,categories={M,F}}
DEFINITION:
k = { distribution=lognormal,
      reference=k_pop,
      covariate=gender,
      coefficient={0,beta_F},
      sd=omega_k }

[LONGITUDINAL]
input =  {k, a}
EQUATION:
f = exp(-k*t)
DEFINITION:
y = {distribution=normal, prediction=f, sd=a}
%}

p = struct('name',{{'p_F','k_pop','omega_k','beta_F','a'}},...
           'value',[0.4,0.2,0.1,0.6,0.01]);
f = struct('name','f','time',0:0.1:30);
y = struct('name','y','time',1:3:30);
ind = struct('name',{{'gender'}});
out={ind,f,y};
g = struct('size',100,'level','covariate');
s.seed=12345;
res = simulx('model',myModel,'parameter',p,'output',out,...
             'group',g,'settings',s);

gender=cell2mat(res{1}.value);
freq_F = mean(gender==2);
disp(['proportion of females: ',num2str(freq_F)]);
opt = struct;
opt.output = {{'f','y'}};
opt.symbol = {{'-','.'}};
%opt.split = 'gender';
plotmlx(res,'option',opt)