myModel = inlineModel;
%{
[COVARIATE]
input={w_pop, omega_w, p_A, p_B}
DEFINITION:
w   = { distribution=normal,
        mean=w_pop,
        sd=omega_w }
trt = { type=categorical, categories={TA,TB,TC},
        P(trt=TA)=p_A,
        P(trt=TB)=p_B }

[INDIVIDUAL]
input={k_pop, omega_k, w, trt}
trt={type=categorical,categories={TA,TB,TC}}
EQUATION:
lw70=log(w/70)
DEFINITION:
k = { distribution=lognormal,
      reference=k_pop,
      covariate={lw70,trt},
      coefficient={0.2,{-0.6,0,0.8}},
      sd=omega_k }

[LONGITUDINAL]
input =  {k, a}
EQUATION:
f = exp(-k*t)

DEFINITION:
y = {distribution=normal, prediction=f, sd=a}
%}

p = struct('name',{{'w_pop','omega_w','p_A','p_B','k_pop','omega_k','a'}},...
           'value',[70,15,0.2,0.4,0.2,0.05,0.01]);
f = struct('name','f','time',0:0.1:30);
y = struct('name','y','time',1:3:30);
ind = struct('name',{{'w','k','trt'}});
out={ind,f,y};
g = struct('size',200,'level','covariate');
res = simulx('model',myModel,'parameter',p,'output',out,'group',g);

opt = struct;
opt.output = {{'f','y'}};
opt.symbol = {{'-','.'}};
opt.split = 'trt';
plotmlx(res,'option',opt)