myModel = inlineModel;
%{
[INDIVIDUAL]
input = {a_pop, o_a, b_pop, o_b, c_pop, o_c, r_ab, r_ac, r_bc}

DEFINITION:
a = {distribution=lognormal,   reference=a_pop, sd=o_a}
b = {distribution=normal,      reference=b_pop, sd=o_b}
c = {distribution=logitnormal, reference=c_pop, sd=o_c}
correlation = {r(a,b)=r_ab, r(a,c)=r_ac, r(b,c)=r_bc}

[LONGITUDINAL]
input={a, b, c}
EQUATION:
f = a + b*t + c*t^2
%}

op = struct('name',{{'a','b','c'}});
of = struct('name','f','time',0:0.1:4);

p = struct('name',{{'a_pop','o_a','b_pop','o_b','c_pop','o_c','r_ab','r_ac','r_bc'}},...
           'value',[10, 0.3, -5, 0.5, 0.8, 0.4, -0.6, -0.4, 0.7]);

g = struct('size',1000,'level','individual');

res = simulx('model',myModel,'parameter',p,'group',g,'output',{op,of});

P=[cell2mat(res{1}.value)' cell2mat(res{2}.value)' cell2mat(res{3}.value)'];
Z=P;
Z(:,1)=log(P(:,1));
Z(:,3)=log(P(:,3)./(1-P(:,3)));

disp(median(P))
disp(std(Z))
disp(corrcoef(Z))

