clear p 

myModel=inlineModel;
%{
[LONGITUDINAL]
input = {V, k}
EQUATION:
Cc = pkmodel(V,k)
%}

adm = struct('time',0:12:200,'amount',100);
Cc = struct('name','Cc','time',200:2:224);

N=100;
V_pop=10;
k_pop=0.1;
omega_V=0.3;
omega_k=0.2;
O=diag([omega_V, omega_k]);
mu = repmat([V_pop, k_pop],N,1);
p0=mu.*exp(randn(N,2)*O);
p.name={'V','k'};
p.header={'id','V','k'};
p.value = [(1:N)' p0];

[res,dataIn] = simulx('model',myModel,'parameter',p,'output',Cc,'treatment',adm);

M=1000;
data=cell(1,M);
s = struct('loadDesign',false);
for m=1:M
    pm=mu.*exp(randn(N,2)*O);
    dataIn.individual_parameters.value=pm;
    res = simulx('data',dataIn,'settings',s);
    data(m)={res};
end
    
