myModel = inlineModel;
%{
[LONGITUDINAL]
input = {V, k, a}
EQUATION:
  Cc = pkmodel(V,k)
DEFINITION:
  y = {distribution=normal, prediction=Cc, sd=a}

[INDIVIDUAL]
input = {V_pop, omega_V, w}
EQUATION:
  Vpred=V_pop*(w/70)
DEFINITION:
  V = {distribution=lognormal, prediction=Vpred, sd=omega_V}
%}

adm1 = struct('time',0:6:60, 'amount',50, 'rate',25);
adm2 = struct('time',0:12:60, 'amount',100, 'rate',50);
y = struct('name','y', 'time',0:6:60);
p = struct('name',{{'V_pop','omega_V','w','k','a'}}, 'value',[10,0.3,75,0.2,0.5]);
g1 = struct('treatment',adm1,'size',[2,3],'level',{{'individual','longitudinal'}});
g2 = struct('treatment',adm2,'size',4,'level','individual');
g = {g1,g2};
s = struct('recordFile','simulx2_data.txt');
res = simulx('model',myModel,'parameter',p,'group',g,'output',y,'settings',s);
