myModel = inlineModel;
%{
[LONGITUDINAL]
input = {V, k, b}
EQUATION:
D=100
f = D/V*exp(-k*t)
DEFINITION:
y = {distribution=normal, prediction=f, sd=b*f}

[INDIVIDUAL]
input = {V_pop, omega_V, w, w_pop}
EQUATION:
V_pred = V_pop*(w/w_pop)
DEFINITION:
V = {distribution=logNormal, prediction=V_pred, sd=omega_V}

[COVARIATE]
input = {w_pop, omega_w}
DEFINITION:
w = {distribution=normal, mean=w_pop, sd=omega_w}

[POPULATION]
input = {ws, gw, Vs, gV}
DEFINITION:
w_pop = {distribution=normal, mean=ws, sd=gw}
V_pop = {distribution=logNormal, mean=log(Vs), sd=gV}
%}

p = struct('name',{{'ws','gw','Vs','gV','omega_w','omega_V','k','b'}},...
           'value',[70,15,10,0.2,2,0.05,0.2,0.1]);
f = struct('name','f','time',0:0.1:30);
y = struct('name','y','time',1:3:30);
ind = struct('name',{{'w','V'}});
pop = struct('name',{{'w_pop','V_pop'}});
out={pop,ind,f,y};
g = struct('size',[2,3],'level',{{'population','covariate'}});
s = struct('seed',444);
res = simulx('model',myModel,'parameter',p,'output',out,'group',g,'settings',s);

displaymlx(res)
opt = struct;
opt.output = {{'f','y'}};
opt.symbol = {{'-','.'}};
plotmlx(res,'option',opt)