messError1 = 'Mlxlibrary has probably not been installed.';
messError2 = 'You can install it from  http://download.lixoft.com/?software=mlxlibrary';
messError3 = 'Otherwise, execute <Mlxlibrary PATH>/lib/mlxLibraryFirstLaunch.exe';

MlxtoolboxPath = fileparts(mfilename('fullpath'));

if ispc
    userdir= getenv('USERPROFILE');
else
    userdir= getenv('HOME');
end
LixoftIni = fullfile(userdir,'lixoft','lixoft.ini');
fid=fopen(LixoftIni);
if fid==-1
    errordlg({['The file ',LixoftIni,' does not exists. '];messError1;messError2;messError3})
        return
end
lines = textscan(fid, '%s', 'delimiter', '\n','whitespace', '');
fclose(fid);

MlxlibraryPath='';
MlxplorePath='';

for i=1:length(lines{1})
    lli=lines{1}{i};
    imlxl=strfind(lli,'mlxlibrary=');
    imlxp=strfind(lli,'mlxplore=');
    if ~isempty(imlxl)
        j=strfind(lli,'=');
        MlxlibraryPath = lli(j+1:end);
    end
    if ~isempty(imlxp)
        j=strfind(lli,'=');
        MlxplorePath = lli(j+1:end);
    end
end

if ~isdir([MlxlibraryPath,'/lib'])
    errordlg({messError1;messError2;messError3})
    return
end

addpath(fullfile(MlxtoolboxPath,'src'));
addpath(fullfile(MlxtoolboxPath,'src','src_mlx'));
addpath(fullfile(MlxlibraryPath,'lib'));
setenv('sessionSimulx',MlxlibraryPath)
setenv('sessionMlxplore',MlxplorePath)

if (~isunix)
	myOldENVPATH = getenv('PATH');
	myNewENVPATH = strcat(myOldENVPATH,';');
	myNewENVPATH = strcat(myNewENVPATH,MlxlibraryPath);
	myNewENVPATH = strcat(myNewENVPATH,'/tools/MinGW/bin');
	setenv('PATH',myNewENVPATH);
end


