function r = pkmodel(t,a,p)

%  pkmodel.m is governed by the CeCILL-B license. 
%  You can  use, modify and/ or redistribute the software under the terms of 
%  the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL
%  http://www.cecill.info/index.en.html
%
%  pkmodel.m was developed by Marc Lavielle and Fazia Bellal (Inria), June 2014. 

iop0= any(strcmp(p.name,'ke0'));
if iop0
    out = struct('name',{{'c','ce'}},'time',t);
else
    out = struct('name','c','time',t);
end
data = simulx('model','pkmodel','parameter',p,'treatment',a,'output',out);

N=length(data{1}.value);
n=length(t);
r = struct('t',t(:),'cc',zeros(n,N));
for i=1:N
    r.cc(:,i)=data{1}.value{i}(:);
end
if iop0
    for i=1:N
        r.ce(:,i)=data{2}.value{i}(:);
    end
end


