function data = processing_data(data,group)
%processing_data 
%
%   data = processing_data(data,group)
%       Set structure data in the right format for calling mlxCompute 
%       The data structure is filled with the informations contained in group structure
%    

if isfield(group{1} ,'parameters')
    data.individual_parameters.name = group{1}.parameters.name;
    parameters = zeros(length(group), length(group{1}.parameters.name));
end

for i=1:length(group)
    % affectation d un nom
    data.individual(i).name = num2str(i);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % DOSE
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if isfield(group{i} ,'treatment')
         data.individual(i).dose.amount                 = group{i}.treatment.amount;
         data.individual(i).dose.rate                   = group{i}.treatment.rate;
         data.individual(i).dose.type                   = group{i}.treatment.type;
         data.individual(i).dose.time                   = group{i}.treatment.time;
    end
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % PARAMETER
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if isfield(group{i} ,'parameters')
         %data.individual(i).parameters.name      = group{i}.parameters.name ;
         %%data.individual(i).parameters.label    = group{i}.parameters.label;
         %data.individual(i).parameters.value     = group{i}.parameters.value;
         parameters(i,:)= group{i}.parameters.value;
    end
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % RESPONSE
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    data.individual(i).response.name    = group{i}.output_individual.name;
    data.individual(i).response.time    = group{i}.output_individual.time;
    data.individual(i).response.label   = group{i}.output_individual.label;

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % TASK
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %data.task.load_design        = true; % recharge le design, 0 : recharge uniquement les parametres
    %data.task.load_parameters   = true;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % GROUP
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    data.group(i).level  = tools.tocell(group{i}.level);
    data.group(i).size   = group{i}.size;
    data.group(i).output = group{i}.output_group.name;
end

if isfield(group{1} ,'parameters')
    data.individual_parameters.value = parameters;
end
