function [model,group,admin,param,output,settings,project] = readArgs(varargin)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Treatment of input arguments
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
% number of input arguments
nbArgs = length(varargin);

% preallocation
model     = '';
param     = {};
output    = {};
admin     = {};
group     = {};
design     = {};
project   = '';
settings = '';

iopg=0;
iopd=0;
for iInput = 1:2:nbArgs
    if (strcmpi(varargin{iInput}, 'administration') || strcmpi(varargin{iInput}, 'treatment'))
        admin = tools.tocell(varargin{iInput+1});
    end
    if strcmpi(varargin{iInput}, 'model')
        model = varargin{iInput+1};
    end
    if strcmpi(varargin{iInput}, 'group')
        group = tools.tocell(varargin{iInput+1});
        iopg=1;
    end
    if strcmpi(varargin{iInput}, 'parameter')
        param = tools.tocell(varargin{iInput+1});
    end
    if strcmpi(varargin{iInput}, 'output')
        output = tools.tocell(varargin{iInput+1});
    end
    if strcmpi(varargin{iInput}, 'settings')
        settings = varargin{iInput+1};
    end
    if strcmpi(varargin{iInput}, 'project')
        project = varargin{iInput+1};
    end
    if strcmpi(varargin{iInput}, 'design')
        design = varargin{iInput+1};
        iopd=1;
    end
end

if iopd
    if iopg
        error('you cannot define both group and design');
    end
    if isstruct(param{1})
        K=1;
    else
        K=length(param);
    end
    %  if length(design)==1
    if isstruct(design)
        if K==1
            if isfield(design,'output')
                output=tools.tocell(design.output);
            end
            if isfield(design,'treatment')
                admin = tools.tocell(design.treatment);
            end
            %             group=cell(1,1);
            %             group{1}=design;
            %             group{1}.parameter=param;
        else
            group=cell(1,K);
            for k=1:K
                group{k}=design;
                group{k}.parameter=param{k};
            end
        end
    else
        group=design;
        if K==1
            for k=1:length(design)
                group{k}.parameter=param{1};
            end
        else
            for k=1:length(design)
                group{k}.parameter=param{k};
            end
        end
    end
end

% check model
if ~ischar(model)
    error('model must be a string');
end
% check recordFile
% if ~ischar(recordFile)
%     error('recordFile must be a string');
% end
% On met en majuscule les champs et les sous-champs des structures/cells
% admin  = upperfnames(admin);
% group  = upperfnames(group);
% param  = upperfnames(param);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Gestion des pkmodel si besoin
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
if strcmp(model,'pkmodel')
    modelFile = 'temp_model.txt';
    nbparam   = length(param{1}.name);
    str1=param{1}.name{1};
    for k=2:nbparam
        str1  = [str1, ', ',param{1}.name{k}];
    end
    nbout=length(output{1}.name);
    if nbout==1
        str2 = output{1}.name{1};
    else
        str2 = ['{',output{1}.name{1},',',output{1}.name{2},'}'];
    end
    fid = fopen(modelFile,'w');
    fprintf(fid,'%s\n','[LONGITUDINAL]');
    fprintf(fid,'%s\n',['input={',str1,'}']);
    fprintf(fid,'%s\n','EQUATION:');
    fprintf(fid,'%s\n',[str2,'=pkmodel(',str1,')']);
    fclose(fid);
    model=modelFile;
end

[mpath,mfile,mext]=fileparts(model);
if strcmp(mext,'.xml')
    model=pharmml2mlxtran(model);
end

